Package org.apache.commons.collections4.map

# Class AbstractLinkedMap.ValuesIterator<V>

java.lang.Object
org.apache.commons.collections4.map.AbstractLinkedMap.LinkIterator<Object,V>
org.apache.commons.collections4.map.AbstractLinkedMap.ValuesIterator<V>

Type Parameters:
  `V` - The value type.

All Implemented Interfaces:
  `Iterator<V>`, `OrderedIterator<V>`, `ResettableIterator<V>`

Enclosing class:
  `AbstractLinkedMap<K,V>`

protected static class AbstractLinkedMap.ValuesIterator<V> extends AbstractLinkedMap.LinkIterator<Object,V> implements OrderedIterator<V>, ResettableIterator<V>
Values iterator.

- ## Field Summary

  ### Fields inherited from class org.apache.commons.collections4.map.AbstractLinkedMap.LinkIterator

  `expectedModCount, last, next, parent`

- ## Constructor Summary

  Constructors
  Modifier
  Constructor
  Description
  `protected`
  `ValuesIterator(AbstractLinkedMap<?,V> parent)`
  Constructs a new instance.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `V`
  `next()`
  `V`
  `previous()`
  Gets the previous element from the container.

  ### Methods inherited from class org.apache.commons.collections4.map.AbstractLinkedMap.LinkIterator

  `currentEntry, hasNext, hasPrevious, nextEntry, previousEntry, remove, reset, toString`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

  ### Methods inherited from interface java.util.Iterator

  `forEachRemaining, hasNext, remove`

  ### Methods inherited from interface org.apache.commons.collections4.OrderedIterator

  `hasPrevious`

  ### Methods inherited from interface org.apache.commons.collections4.ResettableIterator

  `reset`

- ## Constructor Details

  - ### ValuesIterator

    protected ValuesIterator(AbstractLinkedMap<?,V> parent)
    Constructs a new instance.
    Parameters:
      `parent` - The parent AbstractLinkedMap.

- ## Method Details

  - ### next

    public V next()
    Specified by:
      `next` in interface `Iterator<V>`

  - ### previous

    public V previous()
    Description copied from interface: `OrderedIterator`
    Gets the previous element from the container.
    Specified by:
      `previous` in interface `OrderedIterator<V>`
    Returns:
      The previous element in the iteration.